Kerbal Space Program - Bug #441

Rover wheels: action groups must be toggled twice to toggle on newly launched craft.
03/18/2013 06:46 AM - Taverius

Status: Closed Start date: 03/18/2013
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.19 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion:

Description

Description

When launching a new craft, the first time an action group for one of the wheel actions is activated it will not register.
What happens
The first time an action group with a rover wheel action attached it triggered the wheels will not register the action.
Versions affected
0.19
Notes
e Each wheel action suffers from this independently: if action group 1 toggles motor, and action group 2 toggles steering on the

same wheel, each must be triggered twice on a newly launched craft.
e Manually triggering the action in the right-click menu for the wheel makes the first action group triggering behave as expected.

History

#1 - 03/20/2013 11:02 PM - Anonymous
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Using a fresh install of 19.1 | was able to reproduce the listed bug exactly as described, wherein action group 1 and action group 2 controlled "Toggle
Motor" and "Toggle Steering", respectively, on a single pair of "RoveMax Model 2" rover wheels. | have also seen this occur on lights, engine
gimbals, solar arrays, and animated items such as communications dishes.

| also noticed a related bug wherein if Action Group 3 and Action Group 4 control "Toggle Light" and "Turn Light On", respectively, on a single pair of
lights of any type, turning the lights on via Action Group 4 (Turn Light On) correctly turns the lights on. However, if | then use Action Group 3 (Toggle

Light), I must press it twice to correctly toggle the light off again. | assume that "Turn Light On" action group is not correctly setting a flag internally, or
said flag is not being shared for "Toggle Light".

#2 - 03/24/2013 06:18 AM - sal_vager

- Platform Windows added

This bug does not mention that this only affects the following commands:
Toggle steering

Toggle motor

Toggle gimbal (this last one affects all gimballing engines)

All other action group commands function on the first press.

See here for more details http:/bugs.kerbalspaceprogram.com/issues/492#change-1759
#3 - 04/30/2014 06:44 PM - cantab

This still exists (or has returned) in .23.5. It's now affecting both RCS thrusters. Checked in my clean install on Linux.

#4 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#5 - 07/17/2016 09:30 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#6 - 07/17/2016 06:37 PM - Claw

- Status changed from Needs Clarification to Confirmed
- % Done changed from 0 to 10

- Platform Windows added

- Platform deleted (Win32)

The lights are the best example of this, putting the toggle on Action Group 3 & 4 as described above.

#8 - 11/09/2016 01:18 PM - sal_vager

- Status changed from Confirmed to Resolved
- % Done changed from 10 to 100

- Platform Linux added

This appears to be solved, rover wheel action groups in 1.2.1 will work on the first press.

#9 - 11/11/2016 10:13 AM - JPLRepo

- Status changed from Resolved to Closed
